	program try

	PARAMETER (N=4)
	integer a(N,N)
	integer b(N,N)
	integer    c(N,N)
!HPF$       PROCESSORS p(4)
!HPF$       TEMPLATE t(N,N)
!HPF$       DISTRIBUTE   t(*,BLOCK) ONTO P
!HPF$       ALIGN   a(i,j) WITH t(j,i)
!HPF$       ALIGN   b(i,j) WITH t(i,j)
!HPF$       ALIGN   c(i,j) WITH t(j,i)

	forall (i=1:N,j=1:N) a(i,j)=1

	print *,"a="
	do i=1,N
	print *, (a(i,j),j=1,N)
	enddo

	forall (i=1:N,j=1:N) b(i,j)=0
	forall (i=1:N) b(i,i)=2

	print *,"b="
	do i=1,N
	print *, (a(i,j),j=1,N)
	enddo

!	call pcrc_clock(0)
	a=matmul(a,b)
!	call pcrc_clock(1)

	print *,"a="
	do i=1,N
	print *, (a(i,j),j=1,N)
	enddo

	end
